%define api 1
%define major 2
%define libname %mklibname ftdi %{api} %{major}
%define develname %mklibname -d ftdi %{api}

%define enable_async_mode 0

Summary:	Library to program and control the FTDI USB controller
Name:		libftdi
Version:	1.1
Release:	%mkrel 8
License:	LGPL for libftdi and GPLv2+linking exception for the C++ wrapper
Group:		System/Libraries
URL:		http://www.intra2net.com/en/developer/libftdi
Source0:	http://www.intra2net.com/en/developer/%{name}/download/%{name}%{api}-%{version}.tar.bz2
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig
BuildRequires:	doxygen
BuildRequires:	cmake
BuildRequires:  boost-devel
BuildRequires:	confuse-devel

%description
Library to program and control the FTDI USB controller

%package -n	%{libname}
Summary:	Library to program and control the FTDI USB controller
Group:		System/Libraries
Provides:	libftdi = %{version}-%{release}
Obsoletes:	libftdi < 0.20-3
Obsoletes:	%{_lib}ftdi1 < 1.1-3

%description -n	%{libname}
Library to program and control the FTDI USB controller.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	libftdi-devel = %{version}-%{release}
Provides:	libftdi1-devel = %{version}-%{release}
Obsoletes:	%{_lib}ftdi-devel < 1.1-3
Conflicts:	libftdi < 0.20-3

%description -n %{develname}
This package contains libraries and header files for developing applications
that use %{name}.


%prep
%setup -q -n %{name}%{api}-%{version}

%build
export CFLAGS="%{optflags} -fno-stack-protector"
export CXXFLAGS="%{optflags} -fno-stack-protector"
%cmake -DSTATICLIBS=off -DPYTHON_BINDINGS=off -DLINK_PYTHON_LIBRARY=off

#update doxygen configuration to suppress some warnings
doxygen -u

%make

%install
%makeinstall_std -C build

# cleanup
rm -f %{buildroot}%{_libdir}/libftdi*.*a

# man pages
install -d %{buildroot}%{_mandir}/man3/
install -Dpm644 build/doc/man/man3/* -t %{buildroot}%{_mandir}/man3/

%files -n %{libname}
%doc COPYING.LIB COPYING.GPL LICENSE
%{_libdir}/libftdi*%{api}.so.%{major}
%{_libdir}/libftdi*%{api}.so.%{major}.*

%files -n %{develname}
%doc build/doc/html build/examples
%{_bindir}/%{name}%{api}-config
%{_bindir}/ftdi_eeprom
%{_libdir}/%{name}*%{api}.so
%{_includedir}/%{name}%{api}/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/%{name}%{api}/*.cmake
%{_mandir}/man3/*


%changelog
* Thu Feb 11 2016 umeabot <umeabot> 1.1-8.mga6
+ Revision: 955462
- Mageia 6 Mass Rebuild

* Sat Aug 29 2015 cjw <cjw> 1.1-7.mga6
+ Revision: 871065
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.1-6.mga5
+ Revision: 744179
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-5.mga5
+ Revision: 681467
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 wally <wally> 1.1-4.mga5
+ Revision: 669518
- fix lib pkg obsoletes after renaming

* Sat Aug 30 2014 wally <wally> 1.1-3.mga5
+ Revision: 669421
- fix lib and devel pkg names

* Thu Aug 28 2014 alien <alien> 1.1-2.mga5
+ Revision: 669140
- link with -fno-stack-protector, or the build fails on i586
- Update to version 1.1

* Sat Jul 05 2014 pterjan <pterjan> 0.20-4.mga5
+ Revision: 643701
- Replace libusb*-devel BuildRequires by better ones

* Mon Mar 31 2014 oden <oden> 0.20-3.mga5
+ Revision: 610846
- libify
- don't build the examples, put them in the devel sub package

* Fri Oct 18 2013 umeabot <umeabot> 0.20-2.mga4
+ Revision: 521322
- Mageia 4 Mass Rebuild

* Sun Jan 20 2013 alien <alien> 0.20-1.mga3
+ Revision: 390228
- Set correct RPM group and release
- Import libftdi to be used for lcdproc
- imported package libftdi

